# Direct - sing-box
The universal proxy platform.
Author: nekohasekai

Skip to content

# Direct

Changes in sing-box 1.11.0

override_address
override_port

`direct` outbound send requests directly.

### Structure

    {
      "type": "direct",
      "tag": "direct-out",

      "override_address": "1.0.0.1",
      "override_port": 53,

      ... // Dial Fields
    }

### Fields

#### override_address

Deprecated in sing-box 1.11.0

Destination override fields are deprecated in sing-box 1.11.0 and will be removed in sing-box 1.13.0, see Migration.

Override the connection destination address.

#### override_port

Deprecated in sing-box 1.11.0

Destination override fields are deprecated in sing-box 1.11.0 and will be removed in sing-box 1.13.0, see Migration.

Override the connection destination port.

Protocol value can be `1` or `2`.

### Dial Fields

See Dial Fields for details.